org.apache.lucene.analysis.compound.hyphenation

## Class HyphenationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.lucene.analysis.compound.hyphenation.HyphenationException

- All Implemented Interfaces:
    java.io.Serializable

      public class HyphenationException
      extends java.lang.Exception

  This class has been taken from the Apache FOP project (http://xmlgraphics.apache.org/fop/). They have been slightly modified.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyphenationException(java.lang.String msg)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HyphenationException

          public HyphenationException(java.lang.String msg)

      See Also:
        `Throwable.Throwable(String)`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.